### Class

# Foundry DocumentationRoot

#### Description [src]

    final class Foundry.DocumentationRoot : GObject.Object
    {
      /* No available fields */
    }

An area where documentation may be ingested from.

Plugins may use this information to scan for documentation that matches their particular format.

#### Ancestors

- GObject

#### Constructors

###### foundry_documentation_root_new

No description available.

#### Instance methods

###### foundry_documentation_root_dup_icon

No description available.

###### foundry_documentation_root_dup_identifier

No description available.

###### foundry_documentation_root_dup_title

No description available.

###### foundry_documentation_root_dup_version

No description available.

###### foundry_documentation_root_list_directories

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DocumentationRoot:directories

No description available.

###### Foundry.DocumentationRoot:icon

No description available.

###### Foundry.DocumentationRoot:identifier

No description available.

###### Foundry.DocumentationRoot:title

No description available.

###### Foundry.DocumentationRoot:version

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDocumentationRootClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.